const mongoose = require('mongoose');
const util = require('util');
const debug = require('debug')('express-mongoose-es6-rest-api:index');

const config = require('../server/config/config');

const Post = require('../server/models/post.model');

// connect to mongo db
const mongoUri = config.mongo.host;
mongoose.connect(mongoUri, { keepAlive: 1 });
mongoose.connection.on('error', () => {
  throw new Error(`unable to connect to database: ${mongoUri}`);
});


const posts = [
  { _id: ObjectID(),user_id: ObjectID('5f9705b44394c80bd85c3299'), user_name: 'born',category: 'เม่ามอย', title: 'เราเจอคนหนึ่่งในวิทยาการคอมพ์',body: "สายตาคนทั่วๆไป อยากระบายว่า คนที่สอบเข้ามาเนี่ย จะมีซักกี่% ... 1 สาขา เขียนโปรแกรมแทบไม่เป็นนะครับ แต่ทุกวันนี้ก็ได้ดิบได้ดีทางสายคอมพ์ ... ส่วนตัวเจอมาแบบนี้เลยรู้สึกไม่ดีกับพวก เรียนจบเกรดสูงสักเท่าไหร่ ... เราทำไม่ได้อ่ะ เพราะไม่ชอบเขียนโปรแกรม" ,tag: "comsci",createdAt:Date.now},
  { _id: ObjectID(),user_id: ObjectID('5f9705b44394c80bd85c3299'), user_name: 'born',category: 'การบ้านการเมือง', title: 'ออกไปปราหยุด' ,body:"ส.ส. ฝ่ายค้านเกือบทุกรายที่ลุกขึ้นอภิปรายกลางรัฐสภา ได้ รับลูก หนึ่งในข้อเสนอของผู้ชุมนุมต่อต้านรัฐบาล ด้วยการเรียกร้องให้ พล.อ. ประยุทธ์ จันทร์โอชา นายกรัฐมนตรี และ รมว.กลาโหม ลาออกจากตำแหน่ง ขณะที่รองนายกฯ มือกฎหมายของรัฐบาลขู่อาจพบทางตัน หากระดมเสียงในรัฐสภาได้ไม่ถึง 366 เสียงเพื่อโหวตเลือกนายกฯ เล็งแก้เกมกลับด้วยการโยนประชาชนตัดสินผ่านกลไกประชามติ",tag:'ออกเถอะ',createdAt:Date.now},
  { _id: ObjectID(),user_id: ObjectID('5f9705b44394c80bd85c3299'), user_name: 'born',category: 'การเรียนและความรู้', title: 'nodeJs ดีอ่ะ',body: 'Angular is a TypeScript-based open-source web application framework led by the Angular Team at Google and by a community of individuals and corporations. Angular is a complete rewrite from the same team that built AngularJS.',tag:'angular',createdAt:Date.now},
  { _id: ObjectID(),user_id: ObjectID('5f9705b44394c80bd85c3299'), user_name: 'born', category: 'ความรัก', title: 'เจอกันที่บ้านเพื่อน',body: 'เรื่องของเรื่องก็คือว่า พ่อแม่ของฉันเจ้ากี้เจ้าการและเป็นห่วงฉันมากจนเกินไปแทบจะตลอดชีวิตที่ผ่านมา ตอนเป็นเด็ก ฉันไม่เคยได้รับอนุญาตให้ไปเล่นบ้านเพื่อนเลย',tag:'',createdAt:Date.now},
  { _id: ObjectID(),user_id: ObjectID('5f9705b44394c80bd85c3299'), user_name: 'born',category: 'ชีวะประวัติ', title: 'Mark Elliot Zuckerberg' ,body: 'โดยปกติแล้ว มาร์คนั้น มีความสนใจเกี่ยวกับเรื่องคอมพิวเตอร์ตั้งแต่วัยเด็ก เมื่ออายุได้เพียงสิบขวบต้น ๆ ช่วงประถมปลายเขาก็สามารถเขียนโปรแกรมคอมพิวเตอร์ได้แล้ว โดยมาร์คได้เริ่มใช้ทักษะการเขียนโปรแกรมนี้ให้คุณพ่อของเขาไปใช้ในคลินิกทันตกรรม โดยสร้างโปรแกรมแชทขึ้นมา โดยใช้ชื่อว่า ZuckNet ทำให้พนักงานภายในคลีนิค สามารถสื่อสารกันเองแทนการตะโกนบอกกัน และในช่วงมัธยมต้นเขาก็สามารถเขียนเกมขึ้นมาเล่นเองได้อีกด้วย',tag:'Facebook',createdAt:Date.now},
];

// user_id: { type: String, required: true },
//     user_name: { type: String, required: true },
//     category: { type: String, required: true },
//     title: { type: String, required: true },
//     body: { type: String, required: true },
//     tag: { type: String, required: true },
//     createdAt: { type: Date, default: Date.now },

Post.insertMany(posts, (error, docs) => {
  if (error) {
    console.error(error);
  } else {
    console.log(docs);
  }
  mongoose.connection.close();
});
