const Joi = require("joi");
const Post = require("../models/post.model");

const postSchema = Joi.object({
  // sid: Joi.number().integer().required(),
  user_id: Joi.string().required(),
  user_name: Joi.string().required(),
  category: Joi.string().required(),
  title: Joi.string().required(),
  body: Joi.string().required(),
  tag: Joi.string().required(),
});

module.exports = {
  insert,
  get,
  getAll,
  search,
  deleteData,
  updateData,
};

async function insert(post) {
  post = await Joi.validate(post, postSchema, { abortEarly: false });
  return await new Post(post).save();
}
/**
 * อ่านเพิ่มเติม https://mongoosejs.com/docs/api.html
 */
async function get(_id) {
  return await Post.find({ _id: _id });
}

async function getAll() {
  return await Post.find();
}

async function search(key, value) {
  let query = {};
  query[key] = value;
  return await Post.find(query);
}

async function deleteData(_id) {
  return await Post.findByIdAndDelete(_id);
}

async function updateData(_id,data) {
  return Post.findByIdAndUpdate(_id, data);
}
