import { Component, OnInit , Input} from '@angular/core';
import { category } from '../../category';
import { CreateService } from '../service/create.service';
import { AuthService } from '@app/shared/services';
import { Router } from '@angular/router';
import { User } from '@app/shared/interfaces';
@Component({
  selector: 'app-create',
  templateUrl: './create.component.html',
  styleUrls: ['./create.component.css']
})
export class CreateComponent implements OnInit {
  @Input() user: User | null = null;
  user_data: any;
  postAdd = {
    'user_id': '',
    'user_name': '',   
    'category': '',
    'title': '',
    'body': '',
    'tag': '',
    'createdAt': '',
    
  };
  catagorys = category;
  constructor(private createService: CreateService, private authService: AuthService ,private router: Router,) { }

  ngOnInit(): void {
    this.authService.getUser().subscribe(data => this.user_data = data);
    this.postAdd = {
      'user_id': this.user_data._id,
      'user_name': this.user_data.fullname,
      'category': '',
      'title': '',
      'body': '',
      'tag': '',
      'createdAt': this.user_data.createAt,

    };
  }
  submitPostAdd() {
    this.createService.postPost(this.postAdd).subscribe((response: {}) =>
      {alert('บันทึกเรียบร้อย'),
      this.router.navigateByUrl('/');
  }
    );
    console.warn(this.createService.postPost(this.postAdd));
    console.warn(this.postAdd);
    
  };
 
  
  
}
