import { Component, OnInit, Input } from '@angular/core';
import { HomeService } from '../service/home.service';
import { category } from '../../category';
import { AuthService } from '@app/shared/services';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {
  posts: any;
  user_data: any;


  constructor(private homeService: HomeService, private authService: AuthService) { }

  ngOnInit() {
    this.fetchData();
    this.authService.getUser().subscribe(data => this.user_data = data);
  }
  fetchData() {
    this.homeService.getPosts().subscribe(response => {
      this.posts = response;
    });
  }
  pageroute(data: any) {
    console.log(data);
  }

  deleteData(data: any) {
    console.log(data);
    this.homeService.deletePost(data).subscribe((response: {}) => alert('ลบเรียบร้อย'));
    this.fetchData();
  }
}
