import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ViewdataService {
  baseUrl = 'http://localhost:4040/api/post';

  constructor(public http: HttpClient) { }

  httpOptions = {
    headers: new HttpHeaders({
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    })
  };
  getPosts(): Observable<any> {
    return this.http.get<any>(`${this.baseUrl}/all`);
  }

  getPostsById(_id: any): Observable<any> {
    return this.http.get<any>(`${this.baseUrl}/get/${_id}`,this.httpOptions);
  }
  getPostsByFullname(fullname: any): Observable<any> {
    return this.http.get<any>(`${this.baseUrl}/get/${fullname}`,this.httpOptions);
  }
}
