import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { create } from 'domain';
import { ViewdataService } from '../service/viewdata.service';
import { category } from '../../category'; 
import { AuthService } from '@app/shared/services';
@Component({
  selector: 'app-viewdata',
  templateUrl: './viewdata.component.html',
  styleUrls: ['./viewdata.component.css']
})
export class ViewdataComponent implements OnInit {
  dataId: any;
  data: any;
  user_data: any;
 
  constructor(private route: ActivatedRoute, private postdataService: ViewdataService,private authService: AuthService) { }

 
  ngOnInit(): void {
    console.warn(this.user_data);
    
    this.authService.getUser().subscribe(data => this.user_data = data);
    this.route.paramMap.subscribe(params => {
      this.dataId = params.get('dataId');
    });
    this.postdataService.getPostsById(this.dataId).subscribe(response => {
      this.data = response[0];
      console.warn("data at all : ",this.data);

    });

  }
}
